#!/bin/csh
#this script will generate plots using current usgs data
#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/

#run flood data select script to generate gempak station and tbl files for various times

#compute starting and ending dates for time windows and set default obs value
#since not value is supplied with a flood USGS

#with 18Z --> 12Z time window
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date --date="-1 day" +%Y'-'%m'-'%d`
set starttime = '18:00'
set endtime = '12:00'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set filedir = `echo $enddate | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flashflood_usgs'
set psqluser = 'hpc'
set gemtime = `date +%y%m%d/1200`

set archivedir = '/hpc/home/hpcops/barthold/ff_obs/usgs/'


echo perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

#run gempak script to generate plot of flood reports
#and practically perfect contours
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/makeplot.csh $table $gemtime

mkdir -p /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/; mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif

#copy plot to internal web site for easier viewing
ssh hpc@wpcintra "mkdir -p /home/hpc/www/htdocs/pracperf/$filedir"
scp /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif hpc@wpcintra:/home/hpc/www/htdocs/pracperf/$filedir/


#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/

#run flood data select script to generate gempak station and tbl files for various times

#compute starting and ending dates for time windows and set default obs value
#since not value is supplied with a flood USGS

#with 18Z --> 12Z time window
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date --date="-1 day" +%Y'-'%m'-'%d`
set starttime = '18:00'
set endtime = '12:00'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set filedir = `echo $enddate | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flood_usgs_hourlyrise'
set psqluser = 'hpc'
set gemtime = `date +%y%m%d/1200`

set archivedir = '/hpc/home/hpcops/barthold/ff_obs/usgs/'



echo perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

#run gempak script to generate plot of flood reports
#and practically perfect contours
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/makeplot.csh $table $gemtime



mkdir -p /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/; mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif

#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/
#with 18Z --> 12Z time window
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date --date="-1 day" +%Y'-'%m'-'%d`
set starttime = '18:00'
set endtime = '12:00'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set filedir = `echo $enddate | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flood_usgs_recurrence'
set psqluser = 'hpc'
set gemtime = `date +%y%m%d/1200`

set archivedir = '/hpc/home/hpcops/barthold/ff_obs/usgs/'



echo perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

#run gempak script to generate plot of flood reports
#and practically perfect contours
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/makeplot.csh $table $gemtime


mkdir -p /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/; mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif

#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/
#with 18Z --> 12Z time window
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date --date="-1 day" +%Y'-'%m'-'%d`
set starttime = '18:00'
set endtime = '12:00'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set filedir = `echo $enddate | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flood_usgs_floodstage'
set psqluser = 'hpc'
set gemtime = `date +%y%m%d/1200`

set archivedir = '/hpc/home/hpcops/barthold/ff_obs/usgs/'



echo perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

#run gempak script to generate plot of flood reports
#and practically perfect contours
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/makeplot.csh $table $gemtime



mkdir -p /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/; mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif

#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/

#with 18Z --> 00Z time window
#cd into data processing directory
#compute starting and ending dates for time windows and set default obs value
#since not value is supplied with a flood USGS
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date --date="-1 day" +%Y'-'%m'-'%d`
set starttime = '18:00'
set endtime = '00:00'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set filedir = `echo $enddate | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flashflood_usgs'
set psqluser = 'hpc'
set gemtime = `date +%y%m%d/0000`

set archivedir = '/hpc/home/hpcops/barthold/ff_obs/usgs/'



echo perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

#run gempak script to generate plot of flood reports
#and practically perfect contours
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/makeplot.csh $table $gemtime


mkdir -p /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/; mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif


#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/

#with 18Z --> 00Z time window
#cd into data processing directory
#compute starting and ending dates for time windows and set default obs value
#since not value is supplied with a flood USGS
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date --date="-1 day" +%Y'-'%m'-'%d`
set starttime = '18:00'
set endtime = '00:00'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set filedir = `echo $enddate | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flood_usgs_hourlyrise'
set psqluser = 'hpc'
set gemtime = `date +%y%m%d/0000`

set archivedir = '/hpc/home/hpcops/barthold/ff_obs/usgs/'



echo perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

#run gempak script to generate plot of flood reports
#and practically perfect contours
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/makeplot.csh $table $gemtime



mkdir -p /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/; mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif

#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/
#with 18Z --> 00Z time window
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date --date="-1 day" +%Y'-'%m'-'%d`
set starttime = '18:00'
set endtime = '00:00'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set filedir = `echo $enddate | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flood_usgs_recurrence'
set psqluser = 'hpc'
set gemtime = `date +%y%m%d/0000`

set archivedir = '/hpc/home/hpcops/barthold/ff_obs/usgs/'



echo perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

#run gempak script to generate plot of flood reports
#and practically perfect contours
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/makeplot.csh $table $gemtime


mkdir -p /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/; mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif

#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/
#with 18Z --> 00Z time window
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date --date="-1 day" +%Y'-'%m'-'%d`
set starttime = '18:00'
set endtime = '00:00'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set filedir = `echo $enddate | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flood_usgs_floodstage'
set psqluser = 'hpc'
set gemtime = `date +%y%m%d/0000`

set archivedir = '/hpc/home/hpcops/barthold/ff_obs/usgs/'



echo perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

#run gempak script to generate plot of flood reports
#and practically perfect contours
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/makeplot.csh $table $gemtime



mkdir -p /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/; mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif

#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/

#with 00Z --> 06Z time window
#cd into data processing directory
#compute starting and ending dates for time windows and set default obs value
#since not value is supplied with a flood USGS
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date +%Y'-'%m'-'%d`
set starttime = '00:00'
set endtime = '06:00'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set filedir = `echo $enddate | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flashflood_usgs'
set psqluser = 'hpc'
set gemtime = `date +%y%m%d/0600`

set archivedir = '/hpc/home/hpcops/barthold/ff_obs/usgs/'



echo perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

#run gempak script to generate plot of flood reports
#and practically perfect contours
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/makeplot.csh $table $gemtime


mkdir -p /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/; mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif



#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/

#with 00Z --> 06Z time window
#cd into data processing directory
#compute starting and ending dates for time windows and set default obs value
#since not value is supplied with a flood USGS
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date +%Y'-'%m'-'%d`
set starttime = '00:00'
set endtime = '06:00'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set filedir = `echo $enddate | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flood_usgs_hourlyrise'
set psqluser = 'hpc'
set gemtime = `date +%y%m%d/0600`

set archivedir = '/hpc/home/hpcops/barthold/ff_obs/usgs/'



echo perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

#run gempak script to generate plot of flood reports
#and practically perfect contours
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/makeplot.csh $table $gemtime


mkdir -p /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/; mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif

#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/

#with 00Z --> 06Z time window
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date +%Y'-'%m'-'%d`
set starttime = '00:00'
set endtime = '06:00'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set filedir = `echo $enddate | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flood_usgs_recurrence'
set psqluser = 'hpc'
set gemtime = `date +%y%m%d/0600`

set archivedir = '/hpc/home/hpcops/barthold/ff_obs/usgs/'



echo perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

#run gempak script to generate plot of flood reports
#and practically perfect contours
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/makeplot.csh $table $gemtime


mkdir -p /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/; mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif

#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/

#with 00Z --> 06Z time window
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date +%Y'-'%m'-'%d`
set starttime = '00:00'
set endtime = '06:00'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set filedir = `echo $enddate | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flood_usgs_floodstage'
set psqluser = 'hpc'
set gemtime = `date +%y%m%d/0600`

set archivedir = '/hpc/home/hpcops/barthold/ff_obs/usgs/'



echo perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude

#run gempak script to generate plot of flood reports
#and practically perfect contours
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/makeplot.csh $table $gemtime


mkdir -p /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/; mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS/$filedir/$table.$timestamp.gif


